CREATE TABLE asm_predef_cp_feature_options (
    PREDEF_CP_FEATURE_OPTION_ID    NUMBER(18, 0),
    PREDEF_CFG_PACKAGE_ID          NUMBER(18, 0)    NOT NULL,
    FEATURE_OPTION_ID              NUMBER(18, 0)    NOT NULL,
    ENTERPRISE_ID                  NUMBER(18, 0)    NOT NULL,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)     NOT NULL,
    CREATED_BY                     VARCHAR2(256)    NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128),
    PREDEF_CP_FEATURE_OPTION_ID    NUMBER(18, 0),
    PREDEF_CFG_PACKAGE_ID          NUMBER(18, 0)    NOT NULL,
    FEATURE_OPTION_ID              NUMBER(18, 0)    NOT NULL,
    ENTERPRISE_ID                  NUMBER(18, 0)    NOT NULL,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)     NOT NULL,
    CREATED_BY                     VARCHAR2(256)    NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128),
    CONSTRAINT pk_asm_predef_cp_feature_options PRIMARY KEY (PREDEF_CP_FEATURE_OPTION_ID, PREDEF_CP_FEATURE_OPTION_ID)
);
